.block.gravity-form {
    .form-container {
        margin-top: 2em;
    }

    .form-container {
        &.two-columns {
            display: flex;

            @include media(md) {
                flex-direction: column;
            }

            .cn-col {
                &.cn-col-1 {
                    width: 40%;
                    margin-right: 45px;
                }

                &.cn-col-2 {
                    width: 60%;
                }

                @include media(md) {
                    width: 100% !important;
                }
            }
        }
    }

    &.background-richsred,
    &.background-gradient-with-text,
    &.background-richs-gradient-45,
    &.background-richs-gradient-90 {
        padding: 130px 100px;

        @include media(md) {
            padding: 40px 20px;
        }

        .form-container {
            padding: 70px;
            background-color: #fff;
            @include media(sm) {
                padding: 70px 20px;
            }
        }
    }
}

/**
    These styles apply to all gravity forms and are not specific to this component
**/
.gform_wrapper {
    .validation_error {
        @apply text-center mb-4;
    }

    .validation_message {
        @apply text-sm;
    }

    .gform_validation_container {
        @apply hidden;
    }

    form {
        label,
        label[id$="_label"] {
            display: block;
            @apply text-xs mb-2;
        }

        input:not([type="radio"]):not([type="checkbox"]):not([type="submit"]):not([type="button"]):not([type="image"]):not([type="file"]),
        textarea,
        select {
            @apply bg-transparent border mb-2 shadow-none border-lightgray border-2;
            padding: 0.8125rem 0.875rem;
        }

        ul.gform_fields {
            @apply flex flex-row justify-between items-start flex-wrap;

            .gfield {
                margin: 0.5rem 0;

                &.w-1\/3,
                &.country {
                    width: 32%;

                    @include media(md) {
                        width: 49%;
                    }

                    @include media(sm) {
                        width: 100%;
                    }
                }
                &.w-1\/2 {
                    width: 49%;
                    @include media(sm) {
                        width: 100%;
                    }
                }

                &.region-hidden {
                    display: none;
                }

                .gfield_description {
                    font-size: 13.5px;
                }
            }

            .ginput_container_fileupload {
                @apply border border-white w-full border-2;
                padding: 0.8125rem 0.875rem;
                .gform_drop_instructions {
                    @apply text-sm font-sans;
                }
                .button {
                    @extend .btn;
                    @apply cursor-pointer;
                }
            }

            .ginput_container_name {
                display: flex;

                @include media(sm) {
                    flex-direction: column;
                }

                > span {
                    flex: 1 1 0;

                    &.name_first {
                        margin-right: 5px;
                        @include media(sm) {
                            margin-right: 0;
                        }
                    }

                    &.name_last {
                        margin-left: 5px;
                        @include media(sm) {
                            margin-left: 0;
                        }
                    }
                }
            }

            .ginput_preview {
                strong {
                    @apply text-sm;
                }
                .gform_delete {
                    @apply inline-block cursor-pointer;
                    filter: brightness(100);
                }
            }

            .ginput_container input,
            .ginput_container textarea {
                .ginput_container select {
                    @apply w-full;
                }
            }

            .ginput_container_select {
                position: relative;

                select.gfield_select {
                    padding-right: 30px;
                    position: relative;
                    z-index: 1;
                }

                &:after {
                    @include font-awesome("\f078");
                    @include align-center-y;
                    right: 15px;
                    z-index: 0;
                }
            }
        }

        .gform_footer {
            @apply text-right relative mt-4;

            input[type="submit"] {
                float: none;
                display: inline-block;
                @extend .btn;
                min-width: auto;
                cursor: pointer;
                padding: 10px 20px;
            }
        }
    }

    .validation_error,
    .validation_message {
        @apply text-richsred;
    }

    .ginput_container_select {
        &:after {
            @apply text-richsred;
        }
    }
    .gform_footer {
        input[type="submit"] {
            @extend .btn-red;
        }
    }

    .ginput_container_fileupload {
        border-color: theme("colors.lightgray") !important;
        border-width: 2px;
    }


}

/* These classes are outside the wrappper */
.gform_confirmation_wrapper {
    @apply w-full text-center;
}

.gform_confirmation_message {
    @apply text-center text-richsred text-base;
}

.gform_ajax_spinner {
    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }

    animation: spin 1500ms linear infinite;
    top: 0;
    @include align-center-x;
}
